package org.xyzh.common.dto.study;

import org.xyzh.common.dto.BaseDTO;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @description 任务用户表
 * @filename TbTaskUser.java
 * @author yslg
 * @copyright xyzh
 * @since 2025-10-15
 */
public class TbTaskUser extends BaseDTO {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * @description 任务ID
     */
    private String taskID;
    
    /**
     * @description 用户ID
     */
    private String userID;
    
    /**
     * @description 部门ID
     */
    private String deptID;
    
    /**
     * @description 完成状态（0未完成 1已完成）
     */
    private Integer status;
    
    /**
     * @description 完成进度（0-100）
     */
    private BigDecimal progress;
    
    /**
     * @description 完成时间
     */
    private Date completeTime;
    
    /**
     * @description 创建者
     */
    private String creator;
    
    /**
     * @description 更新者
     */
    private String updater;
    
    /**
     * @description 更新时间
     */
    private Date updateTime;
    
    /**
     * @description 删除时间
     */
    private Date deleteTime;
    
    /**
     * @description 是否删除
     */
    private Boolean deleted;

    public String getTaskID() {
        return taskID;
    }

    public void setTaskID(String taskID) {
        this.taskID = taskID;
    }

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public String getDeptID() {
        return deptID;
    }

    public void setDeptID(String deptID) {
        this.deptID = deptID;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public BigDecimal getProgress() {
        return progress;
    }

    public void setProgress(BigDecimal progress) {
        this.progress = progress;
    }

    public Date getCompleteTime() {
        return completeTime;
    }

    public void setCompleteTime(Date completeTime) {
        this.completeTime = completeTime;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getUpdater() {
        return updater;
    }

    public void setUpdater(String updater) {
        this.updater = updater;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getDeleteTime() {
        return deleteTime;
    }

    public void setDeleteTime(Date deleteTime) {
        this.deleteTime = deleteTime;
    }


    @Override
    public String toString() {
        return "TbTaskUser{" +
                "id=" + getID() +
                ", taskID='" + taskID + '\'' +
                ", userID='" + userID + '\'' +
                ", deptID='" + deptID + '\'' +
                ", status=" + status +
                ", progress=" + progress +
                ", completeTime=" + completeTime +
                '}';
    }
}
